Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileType Class Reference
[Colorer interfaces]

Inheritance diagram for FileType:

## Detailed Description

HRC FileType (or prototype) instance.

## Public Member Functions
virtual const String * | getName ()=0
| Public name of file type (HRC 'name' attribute).
virtual const String * | getGroup ()=0
| Public group name of file type (HRC 'group' attribute).
virtual const String * | getDescription ()=0
| Public description of file type (HRC 'description' attribute).
virtual Scheme * | getBaseScheme ()=0
| Returns the base scheme of this file type.
virtual const String * | enumerateParameters (int idx)=0
| Enumerates all available parameters, defined in this file type.
virtual const String * | getParameterDescription (const String &name)=0
virtual const String * | getParamValue (const String &name)=0
| Returns parameter's value of this file type.
virtual const String * | getParamDefaultValue (const String &name)=0
| Returns parameter's default value of this file type.
virtual void | setParamValue (const String &name, const String *value)=0
| Changes value of the parameter with specified name.

## Member Function Documentation

virtual const String* FileType::getName | ( |  | ) | `[pure virtual]`

| Public name of file type (HRC 'name' attribute). Returns: File type Name

virtual const String* FileType::getGroup | ( |  | ) | `[pure virtual]`

| Public group name of file type (HRC 'group' attribute). Returns: File type Group

virtual const String* FileType::getDescription | ( |  | ) | `[pure virtual]`

| Public description of file type (HRC 'description' attribute). Returns: File type Description

virtual Scheme* FileType::getBaseScheme | ( |  | ) | `[pure virtual]`

| Returns the base scheme of this file type. Basically, this is the scheme with same public name, as it's type. If this FileType object is not yet loaded, it is loaded with this call. Returns: File type base scheme, to be used as root scheme of text parsing.

virtual const String* FileType::enumerateParameters | ( | int | idx | ) | `[pure virtual]`

| Enumerates all available parameters, defined in this file type. Returns: Parameter name with index `idx` or `null` if index is too large.

virtual const String* FileType::getParamValue | ( | const String & | name | ) | `[pure virtual]`

| Returns parameter's value of this file type. Parameters are stored in prototypes as
          <parameters>
            <param name="name" value="value" description="..."/>
          </parameter>
  Parameters can be used to store application specific information about each type of file. Also parameters are accessible from the HRC definition using `if/unless` attributes of scheme elements. This allows portable customization of HRC loading. Parameters:
  | name | Parameter's name
Returns: Value (changed or default) of this parameter

virtual const String* FileType::getParamDefaultValue | ( | const String & | name | ) | `[pure virtual]`

  | Returns parameter's default value of this file type. Default values are the values, explicitly pointed with `value` attribute. Parameters:
  | name | Parameter's name
Returns: Default value of this parameter

virtual void FileType::setParamValue | ( | const String & | name,
|  | const String * | value
| ) | `[pure virtual]`

  | Changes value of the parameter with specified name. Note, that changed parameter values are not stored in HRC base - they remains active only during this HRC session. Application should use its own mechanism to save these values between sessions (if needed). Parameters:
  | name | Parameter's name
  | value | New value of this parameter.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.